#import "../../lib/admonitions.typ": todo
== Accurate segmentation of body parts

Nakajima et al. describe a full-body person recognition system using 'SVM-based classifiers', the "experimental results
show high recognition rates" and is said to work in real-time @NAKAJIMA20031997. However, it does not directly provide
segmentation results for different body parts so it is not suitable. Juang et al. propose a method for estimating
posture and therefore body segmentation by using "body silhouettes and skin-colour information" @4717823. It is claimed
that the proposed approach can "efficiently and effectively locate significant body points for most postures". However,
this approach requires the generation of silhouette data which is gathered by segmenting moving objects in the scene,
this makes it unsuitable as we are expecting the guest to be relatively still and facing the robot.

Zhu et al. propose a method for "multi-person detection and 2-D pose estimation that achieves state-of-art results on
the challenging COCO keypoints task" @papandreou2017accurate. It works by first trying to find smaller parts of the
image likely to contain people using a "fast RCNN detector", then using these smaller images it tries to estimate
keypoints that correspond to each potential person in each. This results in an average precision of 65%
@papandreou2017accurate on the COCO test dataset.

Later work by Zhu et al. proposes "a box-free bottom-up approach for [..] pose estimation and [..] segmentation of
people in multi-person images using an efficient single-shot model" @papandreou2018personlab, this system results in an
average precision of 66.5% for 'single-scale inference' and 68.5% for 'multi-scale inference' @papandreou2018personlab
outperforming other solutions.

The work by Zhu et al. culminates in the BodyPix @bodypix-google-blog, model that can provide us with real-time body
segmentation. Further work after that release added support for multiple people and improved accuracy by using ResNet50
bodypix.
