== Human-oriented design

In the field of service robotics, one must ensure that the solutions they build are well tailored to any person that may encounter them.

A meta-review of the landscape of social robotics in public spaces @social_meta_review proposed multiple guidelines by which robots should engage with humans. Robots must have a "proactive approach" to initiate any potential interaction first or risk losing or never gaining a person's interest, combined with a preference to speak shorter phrases that can be quickly understood and parsed by humans.

Furthermore, a robot can be designed to provide rich and complex interactions that appear more natural and hence more approachable to humans. One such suggestion comes from a paper that observed interactions between humans and a robot in different spaces such as a reception and other social events, their design recommendations state that in group interactions, the robot must be able to "switch attention from one person to the other and follow the rhythm of the interaction" @1631758. This includes understanding behaviour of humans around the robot, such as where they are facing or what sort of movements they are performing.

We may also consider understanding a person's behaviour in terms of their speech patterns. A paper analysing human-robot conversations in the real world found humans would often not follow many social norms or otherwise show very low verbosity in what they said to a robot @human_factors. Understanding this behaviour, we could adapt the robot to converse similarly to the person, such as increasing or decreasing the verbosity of the robot's speech.

Another more specific improvement relating to the project is that a 'roboreceptionist' should opt to "identify individuals open to interaction rather than bothering every passerby" @1631758. For example, looking for social cues such as a person looking at the robot for an extended period, moving towards the robot, and so forth.
