We look at the procedure outlined in the RoboCup rulebook @rulebook_2024 for the receptionist task. A copy of the full
ruleset and expectations are included in the appendix, @robocup-task-rules.

The task is composed of three main phases:

+ Wait for, greet, and learn about new guests
+ Seat new arriving guests in the lobby
+ Describe the first guest who arrives to the second guest once they are both in the lobby

This section will describe in more detail how the three phases above should be implemented in practice and how we expect
the robot to perform.

#include "4-specification/requirements.typ"

// === Environment Setup

// #set enum(numbering: "E1")

// + Control machine running Ubuntu 20.04

//   Providing the 'brains' of the robot

// + Noetic Nimjemys @ros_noetic

//   The current LTS release of ROS1 which we also run on the robot computer

// + PAL Robotics TIAGo Robot

//   A semi-humanoid "mobile manipulator" @tiago robot.

// #pagebreak(weak: true)
// == Hardware & Software
#pagebreak(weak: true)
#include "4-specification/task-design.typ"
