#import "../../lib/admonitions.typ": todo
== Requirements

=== Functional Requirements <func>

At its core, the main requirements are:

#set enum(numbering: "T1")

+ Able to navigate to preconfigured beacons in the arena
+ Wait for a person to appear and approach them

  The robot should only react to people who are directly in front of it during the setup.

+ Generate a description of a guest including at least 4 characteristics
+ Engage in conversation with a guest asking for name \& favourite drink
+ Learn a guest's face features and then later reidentify them

  This should be done during guest setup and reidentified during later interaction.

+ Direct guests to sit in empty seats in the waiting area

=== Non-functional Requirements <non-func>

It is also important to consider the robustness and human aspects of the project, for this the following requirements
will be evaluated:

#set enum(numbering: "N1")

+ Robot should maintain gaze with any person it talks to// checkbox exercise

  Penalties are applied if this is not met.

+ Robot should look in the direction of travel when moving around// checkbox exercise

  Penalties are applied if this is not met.

+ Robot can reliably detect and reidentify faces// can make SM with test data

  The robot needs to be able to reidentify guests correctly in order to face the correct individual with whom we want to
  speak to during phase 3.

// stupid, tests pre-trained model: + Robot can reliably detect chairs and people
+ Robot can reliably recognise speech and intent// can make SM with test data

  The robot needs to be able to consistently understand what different guests are trying to communicate in order to
  complete phase 1.

+ Robot can reliably generate the selected characteristics for a guest// can make SM with test data

  It is necessary to provide a valid description of the guest during phase 3.

// stupid, tests robot not program: + Robot can reliably identify a guest's position
// meh, no analysis can be done: + Robot should ask guests to reposition if they cannot be detected
// stupid, very small impl. detail: + Robot should ask guests to try again if we cannot understand them
// stupid, hard to analyse & depends on CPU: + Robot should respond to users at a reasonable rate
// stupid, hard to analyse: + Robot should avoid stalling and keeping guests waiting
// stupid, hard to analyse: + Robot should give guests adequate time to respond to the robot
