=== Scripts & Launch Files

To prepare for the execution of the task, we need to setup a bunch of required services. `launch/services.launch` is a
roslaunch file that simplifies running all of these. It performs the following configuration:

- Load the `parameters/motions.yaml` file into the parameter server, this contains necessary joint information for turning
  the robot's camera into certain positions such as looking forwards, down, left, right, etc.
- Start the object detection service (preloading the YOLOv8 nano segmentation model), body segmentation service
  (preloading the BodyPix resnet50 model), face feature extraction service, face segmentation service, speech-to-text
  service (if a microphone is specified), stub services for text-to-speech (if we're not on the real robot), dialog intent
  recognition service (loading our custom-trained RASA model), and the vector database service.
- Start the health checker script (`scripts/check-all-running`). This script waits for all the aforementioned services to
  become available and then replaces the console with a message (this is achieved using the rich Python library
  @pypi_rich) indicated they have all started to eliminate the guesswork of waiting for everything to start.

The user executes this by running `roslaunch bsc_receptionist services.launch` and then can subsequently start the task
or any unit tests by running `rosrun bsc_receptionist task/unit-0X/etc`.