#import "../../lib/admonitions.typ": todo
== Legal Issues

This project requires the processing of personal data which is subject to data protection laws, specifically, it handles
personally identifiable information such as names, face feature vectors, and a textual description of the person's
appearance. This PII is associated with non-PII such as their favourite drink and their position within the arena at the
time of phase 3.

In order to legally process this data, we must achieve reasonable consent, we must make the user aware of their data
being collected, how long it is being collected for, and their rights. For the purposes of this project, we will refer
to the General Data Protection Regulation @gdpr-legal-text which is implemented in the UK under the Data Protection Act
2018 @dpa.

Reasonable consent and legal purpose for processing this PII is gathered when the user consents to participate in the
task after (in accordance with Art. 15 @gdpr-art-15):

- They are notified that facial recognition is in use during the execution of the project, their facial information is
  only stored from the beginning to when the task is next invoked or the database is manually cleared during clean-up,
  whichever comes first. With the exception of the host, whose information is temporarily stored between invocations until
  the robot is turned off or a new host is enrolled.
- They are notified that any information they provide or is gathered from their appearance is only stored for the duration
  of the task.
- They are made aware of their right to be forgotten (Art. 17 @gdpr-art-17) and withdraw consent at any time (Art 18.
  @gdpr-art-18) by talking to the operator of the task.
- They are made aware of who the data controller is, this is usually the operator of the task. Their responsibility is to
  ensure this regulation is followed adequately (Art. 24 @gdpr-art-24).

The operator of the task should follow the guidance provided in the user manual to ensure they operate within this
legislation, see Appendix @user-manual.

There are no specific laws in the UK concerning facial recognition @facial-laws. The ICO points to responsibilities set
out in the DPA 2015.