#import "../lib/admonitions.typ": todo

This project has involved the development of a complex state machine that can perform the role of a robot receptionist,
composed of three distinct phases in which we greet new guests, guide them to the lobby, and later come back to talk to
them. It has involved the implementation of various object detection, body segmentation, speech recognition, dialog
intent recognition, and custom-trained feature recognition models. This project demonstrates that, with the exception of
the face feature model, the technology required to implement robots that interact in a natural manner is available and
robust.

To a greater extent, this project has met the criteria set out by its requirements. It misses the mark in its ability to
describe people and their textual facial features, which arguably can be considered a project in itself. As such, I
think the project has been successful.

Some takeaways and observations from the development of the project:

- Following the development of and implementing state-of-the-art models in your project is the least path of resistance to
  a robust foundation for any sort of complex behaviour. Even if the data being used with these models is sub-par.
- The development and training of custom vision models is a great enough commitment that it doesn't make sense in the
  timeframe of this project, as such that component of the project has suffered accordingly. More research should have
  been done here into other more robust solutions for extracting textual facial features and colours.
- SMACH is an excellent choice as a modular platform to implement isolated behaviours. This proved immensely useful for
  testing and for being able to quickly iterate on how different behaviours link together.

== Future Work

In the near future, this project may be repurposed by generalising and merging its utility states and supporting state
machines into the LASR repository, it may also be merged back in preparation for the coming RoboCup\@Home competition.

This project is in a state that anyone may adapt it to work in any number of environments that require dynamic
interactions with humans.