#let results1 = json("../../data/results2.json");
#let results2 = json("../../data/results3.json");
#let results3 = json("../../data/results4.json");

#show figure: set block(breakable: true)
#figure(caption: "Face Reidentification Success Confidence Values", table(
  columns: (auto, auto, auto),
  table.header([*train:test ratio*], [*subject*], [*confidence*]),
  ..for (split, entries) in results1.raw.success {
    for (subject, values) in entries {
      for value in values {
        ([#split:#(15 - int(split))], [#subject], [#value],)
      }
    }
  },
))
#pagebreak(weak: true)
#figure(caption: "Face Detection Confidence Values", table(
  columns: (auto, auto),
  table.header([*subject*], [*confidence*]),
  ..for (subject, values) in results1.raw.det_conf {
    for value in values {
      ([#subject], [#value],)
    }
  },
))
#pagebreak(weak: true)
#figure(caption: "Whisper Transcription Results", table(
  columns: (auto, auto, auto, auto),
  table.header([*model*], [*set*], [*expected*], [*result*]),
  ..for trans in results2.raw_trans {
    ([#trans.model], [#trans.set], [#trans.expected], [#trans.result])
  },
))
#pagebreak(weak: true)
#figure(caption: "RASA Parse Results", table(
  columns: (auto, auto, auto, auto),
  table.header([*input*], [*intent*], [*confidence*], [*entity value*]),
  ..for (input, result) in results2.rasa_results {
    ([#input], [#result.intent], [#result.conf], [#result.entity_value])
  },
))
#pagebreak(weak: true)
#figure(caption: "Person Description Results", table(columns: (auto, auto, auto, auto), table.header(
  [*expected torso*],
  [*expected hair*],
  [*has glasses?*],
  [*has hat?*],
  [*inferred torso*],
  [*inferred hair*],
  [*inferred glasses*],
  [*inferred hat*],
), ..for entry in results3 {
  (
    [#entry.at("expected").at(0)],
    [#entry.at("expected").at(1)],
    [#entry.at("expected").at(2)],
    [#entry.at("expected").at(3)],
    [#entry.at("raw").at(0)],
    [#entry.at("raw").at(1)],
    [#entry.at("raw").at(2)],
    [#entry.at("raw").at(3)],
  )
}))
