#import "../../lib/admonitions.typ": slanted-colorbox

#slanted-colorbox(
  title: "Disclaimer",
  color: "red",
  radius: 0pt,
  width: auto,
)[
  The following section is imported word for word from the RoboCup rulebook. #linebreak() It is not claimed as original
  work by the author and is simply here as a point of reference since the official rulebook is subject to changes over
  time and may not accurately reflect what this project intends to solve.
]

The robot has to take two new guests to the living room to introduce them and offer a free place o sit.

*Main goal:* Introduce and usher two newcomers to a party and maintain appropriate gaze direction (at person, direction
of avigation).

*Optional goals:*

+ Open the entrance door for each arriving guest.
+ Describe the first guest for the second guest.

=== Focus

System Integration, Human-Robot Interaction, Person Detection, Person Recognition

=== Setup

- Location:
  - The test takes place in the living room.
  - The robot starts inside the Arena at a predefined location near the entrance door.
  - Entrance: The entrance door is open by default. The team leader can request to close the door to score additional points
    by opening it for the guests.
- People:
  - Host: The host's name and favorite drink will be announced before the test. The host is already sitting in the living
    room.
- Guests: Both guests have a name and favorite drink. An arriving guest will either step in front of the robot or ring the
  bell if the door is closed. Guests have to be guided to the living room to be introduced. Each of the guest will arrive
  separately. The sound of the bell will be provided to teams during setup period before competition.

=== Procedure

- Introductions: When introducing guests, the robot must clearly identify the person being introduced and state their name
  and favorite drink. Introducing two people means to introduce them to each other.
- Seating People: The robot must point at a place or location where the guest can sit.
- Switching Places: Guests may switch places after they were seated.
- Describing the First Guest: Naming at least 4 characteristics of the first guest, i.e., color of clothes, color of hair,
  gender, and age, earns bonus points.
- Looking at person/direction of navigation: During verbal interactions and descriptions of people, robot looks at the
  conversational partner. Robot can point at the person being introduce/described or alternate gaze between two people.
  During navigation robot looks in the direction where it is going. Persistently gazing towards unrelated person or
  incorrect direction while moving during the task deducts points.

=== Additional rules and remarks

+ Misunderstanding: Not understanding the guests and asking them again is fine. Continuing with a wrong name or drink
  causes a score reduction of 50pts.
+ Partial Scoring: The main task allows partial (per guest) scoring.
+ Deus ex Machina: Score reduction applies per guest as follows:
  - Custom Operator: Since the main focus of the test is HRI, no custom operator can be chosen.
  - Alternative HRI: Using an alternative HRI to understand a guest causes a score reduction of 75pts.
  - Recognizing People: If the robot has to ask for help to identify people, score is reduced by 200pts.

=== Instructions

*To Referee*

The referees need to:
- Assign name and drink to 3 volunteers.
- Arrange (and re-arrange) people in the living room.
- Open the door when requested by the robot.

*To OC*

During setup day:

- Provide the dorrbell sound.

At least two hours before test:
- Announce starting position.
- Announce host's name and favorite drink.
- Recruit volunteers as host and guests.
