#import "../lib/admonitions.typ": todo

Service robotics is a developing field and an invaluable area of study, they have the potential to impact our lives
through many different forms. There are many possible applications such as to help with care for the elderly in their
homes, provide a safe barrier in hospitals between doctors and patients, or simply serve you food at your local
restaurant. Robots can prove to be instrumental in alleviating the burden on service workers to allow them to avoid
focusing on mundane tasks and let them excel at their jobs. Often these robots also leave a positive impression on those
they interact with @social_robots @Nakanishi2020 and provide a long-lasting and novel experience.

There is continual growth potential in this industry, with a yearly revenue increase of about 5% per year @growth, and
in fact, service robots are slowly being rolled out to real-world use by customers to varying degrees of autonomy. For
example, a popular fast-food brand "Slim Chickens" has rolled out robot waiters that deliver food and interact with
guests @Price_2022 @Rear_2022. Another example is the Henn na Hotel in Japan @Henn_na_hotel, which since 2015
@The_Guardian_2015 has allowed guests to check in using robots. However, these deployments seem to lack natural
end-to-end interaction which can only be achieved by exclusively using vision and speech, something we aim to tackle in
this project.

Research like this can help develop the field further if at least to provide software components that help grow the
ecosystem or contributions that help stimulate further research and work. Components such as improved computer vision,
better human-robot interaction systems, and more stable manipulation can be repurposed into completely different
applications from what this project intends to implement.

RoboCup\@Home is a robotics competition league in which participants compete to solve service robotics problems in the
most friendly and efficient manner. Code and many research papers @robocup_papers are often published after the
competition by participating teams which help further the service robotics field.

== Aims & Objectives

This project will implement the Receptionist task (Appendix @robocup-task-rules) from the 2024 RoboCup\@Home league
competition @rulebook_2024. In this task, the robot is tasked with greeting new guests to a party and introducing them
to others. To effectively implement this problem, the robot must have natural end-to-end interaction as mentioned
previously, which in effect means the people interacting with the robot can feel as if they are interacting with another
person.

This task is appropriate for research at this time since we have reached a point where the technology is just about
right to exploit we have all of the tools required to successfully implement a well-performing solution. There is a
clear lack of deployments of service robots that do not rely on unintuitive or cumbersome HRI.